org.hibernate.search.backend.impl

## Class LocalBackendQueueProcessor

- java.lang.Object
- - org.hibernate.search.backend.impl.LocalBackendQueueProcessor

- All Implemented Interfaces:
    BackendQueueProcessor

      public class LocalBackendQueueProcessor
      extends Object
      implements BackendQueueProcessor

  A queue processor for the `LocalBackend`.
  Author:
    Gunnar Morling

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.hibernate.search.backend.spi.BackendQueueProcessor

      `BackendQueueProcessor.Transactional`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalBackendQueueProcessor()` Deprecated. Provided so that passing the LocalBackendQueueProcessor class as the value of the "backend" configuration option still works, but normally the "local" string should be used instead, in which case the other constructor is used.
    `LocalBackendQueueProcessor(IndexManager indexManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyStreamWork(LuceneWork singleOperation, IndexingMonitor monitor)` Applies a single operation on the index, and different operations can be applied in parallel, even in parallel to a workList instance being processed by `BackendQueueProcessor.applyWork(List, IndexingMonitor)`
    `void` | `applyWork(List<LuceneWork> workList, IndexingMonitor monitor)` Applies a list of operations to the index.
    `void` | `close()` Used to shutdown and eventually release resources.
    `void` | `initialize(Properties props, WorkerBuildContext context, IndexManager indexManager)` Deprecated. Provided so that passing the LocalBackendQueueProcessor class as the value of the "backend" configuration option still works, but normally the "local" string should be used instead, in which case this method is not used.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalBackendQueueProcessor

          @Deprecated
          public LocalBackendQueueProcessor()

      Deprecated. Provided so that passing the LocalBackendQueueProcessor class as the value of the "backend" configuration option still works, but normally the "local" string should be used instead, in which case the other constructor is used.

    - #### LocalBackendQueueProcessor

          public LocalBackendQueueProcessor(IndexManager indexManager)

  - ### Method Detail

    - #### initialize

          @Deprecated
          public void initialize(Properties props,
                                             WorkerBuildContext context,
                                             IndexManager indexManager)

      Deprecated. Provided so that passing the LocalBackendQueueProcessor class as the value of the "backend" configuration option still works, but normally the "local" string should be used instead, in which case this method is not used.
      Description copied from interface: `BackendQueueProcessor`
      Used at startup, called once as first method.
      Specified by:
        `initialize` in interface `BackendQueueProcessor`
      Parameters:
        `props` - all configuration properties
        `context` - context giving access to required meta data
        `indexManager` - the index it is related to.

    - #### close

          public void close()

      Description copied from interface: `BackendQueueProcessor`
      Used to shutdown and eventually release resources. No other method should be used after this one.
      Specified by:
        `close` in interface `BackendQueueProcessor`

    - #### applyWork

          public void applyWork(List<LuceneWork> workList,
                                IndexingMonitor monitor)

      Description copied from interface: `BackendQueueProcessor`
      Applies a list of operations to the index. A single list might be processed by applying elements in parallel threads, but no work should be started on a new workList until the previous one was fully processed. Work could be applied asynchronously according to capabilities and configuration of implementor. A null parameter is not acceptable, implementations should throw an IllegalArgumentException.
      Specified by:
        `applyWork` in interface `BackendQueueProcessor`
      Parameters:
        `workList` - list of Lucene work instance which need to be applied to the index
        `monitor` - a `IndexingMonitor` object.

    - #### applyStreamWork

          public void applyStreamWork(LuceneWork singleOperation,
                                      IndexingMonitor monitor)

      Description copied from interface: `BackendQueueProcessor`
      Applies a single operation on the index, and different operations can be applied in parallel, even in parallel to a workList instance being processed by `BackendQueueProcessor.applyWork(List, IndexingMonitor)`
      Specified by:
        `applyStreamWork` in interface `BackendQueueProcessor`
      Parameters:
        `singleOperation` - single Lucene work instance to be applied to the index
        `monitor` - a `IndexingMonitor` object.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved